﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
//using UMK.WzorceStrukturalne;

namespace UMK.Barista
{
    public static class Menu //Fasada
    {
        public static Napój PrzygotujKawę(bool cynamon, int liczbaŁyżeczekCukru)
        {
            Napój kawa = new Kawa();
            if (cynamon) kawa = new NapójZeSzczyptąCynamonu(kawa);
            if (liczbaŁyżeczekCukru > 0)
                for (int i = 0; i < liczbaŁyżeczekCukru; i++)
                    kawa = new NapójZŁyżeczkąCukru(new NapójZŁyżeczkąCukru(kawa));
            return kawa;
        }

        public static Napój PrzygotujHerbatęZimową()
        {
            return new NapójZeSzczyptąCynamonu(
                new NapójZCytryną(
                    new NapójZŁyżeczkąCukru(new Herbata()),
                    2
                ));
        }
    }
}
